Subject: Re: Last Call: <draft-ietf-rtgwg-yang-vrrp-07.txt> (A YANG Data Model for Virtual Router Redundancy Protocol (VRRP)) to Proposed Standard

From: "t.petch" <[email-masked]>
Date: Tue, 6 Feb 2018 12:28:05 -0000

While I am at it...

it would seem that this I-D, in any version thereof, lists

RFC 2787: Definitions of Managed Objects for the Virtual Router
Redundancy Protocol.

RFC 6527: Definitions of Managed Objects for the Virtual Router
Redundancy Protocol Version 3 (VRRPv3).";

in the YANG module but these RFC do not appear in any reference, either
the normative References or in the list of RFC referenced by the YANG
module.

Tom Petch

----- Original Message -----
From: "Alia Atlas" <[email-masked]>
Sent: Tuesday, January 02, 2018 7:28 PM

> Hi Tom,
>
> The announcement calls them out to see if they are acceptable
normative
> references (and is now
> nicely automatic after too many being missed).
>
> That said - for those that have been updated, the draft should be
updated
> as well.
>
> Thanks for noticing!
> Alia
>
> On Thu, Dec 21, 2017 at 4:18 AM, t.petch <[email-masked]> wrote:
>
> > I note that this has several downref listed in the announcement.
Two
> > these have been superseded (the I-D itself is out-of-date with
regard to
> > this as well).
> >
> > Is the announcement still valid?
> >
> > Just asking.
> >
> > Tom Petch
> >
> >
> > ----- Original Message -----
> > From: "The IESG" <[email-masked]>
> > Sent: Tuesday, November 28, 2017 4:31 PM
> >
> >
> > > The IESG has received a request from the Routing Area Working
Group WG
> > > (rtgwg) to consider the following document: - 'A YANG Data Model
for
> > Virtual
> > > Router Redundancy Protocol (VRRP)'
> > >   <draft-ietf-rtgwg-yang-vrrp-07.txt> as Proposed Standard
> > >
> > > The IESG plans to make a decision in the next few weeks, and
solicits
> > final
> > > comments on this action. Please send substantive comments to the
> > > [email-masked] mailing lists by 2017-12-12. Exceptionally, comments
may
> > be
> > > sent to [email-masked] instead. In either case, please retain the
> > beginning of
> > > the Subject line to allow automated sorting.
> > >
> > > Abstract
> > >
> > >
> > >    This document describes a data model for Virtual Router
Redundancy
> > >    Protocol (VRRP).  Both version 2 and version 3 of VRRP are
covered.
> > >
> > >
> > >
> > >
> > > The file can be obtained via
> > > https://datatracker.ietf.org/doc/draft-ietf-rtgwg-yang-vrrp/
> > >
> > > IESG discussion can be tracked via
> > >
https://datatracker.ietf.org/doc/draft-ietf-rtgwg-yang-vrrp/ballot/
> > >
> > >
> > > No IPR declarations have been submitted directly on this I-D.
> > >
> > >
> > > The document contains these normative downward references.
> > > See RFC 3967 for additional information:
> > >     draft-bjorklund-netmod-rfc7277bis: A YANG Data Model for IP
> > Management (None - IETF stream)
> > >     draft-bjorklund-netmod-rfc7223bis: A YANG Data Model for
Interface
> > Management (None - IETF stream)
> > >     draft-ietf-netmod-revised-datastores: Network Management
Datastore
> > Architecture (None - IETF stream)
> > >
> > >

---

From: Xufeng Liu <[email-masked]>
Date: Thu, 22 Feb 2018 21:03:17 +0000

Hi Tom,

Thanks for pointing it out. The missing references have been added to the new revision: https://tools.ietf.org/html/draft-ietf-rtgwg-yang-vrrp-11.

Best regards,
- Xufeng

> -----Original Message-----
> From: t.petch [mailto:[email-masked]]
> Sent: Tuesday, February 6, 2018 7:28 AM
> To: Alia Atlas <[email-masked]>
> Cc: [email-masked]; [email-masked]; routing WG
> <[email-masked]>
> Subject: Re: Last Call: <draft-ietf-rtgwg-yang-vrrp-07.txt> (A YANG Data Model
> for Virtual Router Redundancy Protocol (VRRP)) to Proposed Standard
> 
> While I am at it...
> 
> RFC 2787: Definitions of Managed Objects for the Virtual Router Redundancy
> Protocol.
> 
> RFC 6527: Definitions of Managed Objects for the Virtual Router Redundancy
> Protocol Version 3 (VRRPv3).";
> 
> in the YANG module but these RFC do not appear in any reference, either the
> normative References or in the list of RFC referenced by the YANG module.
> 
> Tom Petch
> 
>

---

From: "t.petch" <[email-masked]>
Date: Fri, 23 Feb 2018 10:42:49 -0000

----- Original Message -----
From: "Xufeng Liu" <[email-masked]>
Sent: Thursday, February 22, 2018 9:03 PM

> Hi Tom,
>
> Thanks for pointing it out. The missing references have been added to
the new revision:
https://tools.ietf.org/html/draft-ietf-rtgwg-yang-vrrp-11.

Yes, looks good.

Meanwhile, this is getting ridiculous, not you, but YANG (or perhaps
YANG has always been ridiculous:-(

I have seen two yang-doctor reviews recently commenting on references
and saying that they may have to change because the subject is under
discussion (not a discussion I see on any open list, such as that of the
NETMOD WG).

I think that what I suggested, and what you have done, conforms to the
latest revision of YANG Guidelines (which is in IETF LC) and works well
and I would resist any change thereto.  But who knows what this
discussion will come up with?  I will keep you posted.

Tom Petch

Redundancy
Redundancy